# OpenIDConnectCredentials | @supabase/supabase-js
Documentation for @supabase/supabase-js

### Hierarchy

- OpenIDConnectCredentials

## Index

### Properties

- client_id
- id_token
- issuer
- nonce
- provider

## Properties

### Optional client_id

client_id?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:165

### id_token

id_token: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:162

### Optional issuer

issuer?: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:166

### nonce

nonce: string

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:163

### Optional provider

provider?: Provider

- Defined in node_modules/@supabase/gotrue-js/dist/module/lib/types.d.ts:164

Generated using TypeDoc